Status: Open Start date: 27 Jan 2011

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category: Configuration Estimated time: 0.00 hour

Target version: 1.08   

Description

Many applications contain script configure which is intended to check if the application can be successfully installed. OpenSWAN

contains ipsec verify tool to check the installation etc. I guess such script needs to be done for Orangutan.

Let’s name it check.

The check should verify the following:

Which supported Redmine plugins are installed (and which is not), what should be changed to support installed plugins;

Whether all fields were added (migration scripts were launched);

Check if views were not outdated;

Check if bulk_time_entries_time_entry.html.erb.patch were applied and recommend to apply if not;

etc.

It can also check:

If Jabber IDs are ok, can recommend to enable SSL/TLS etc;

Whether all directories are readable/writable by Orangutan user.

History

#1 - 01 Feb 2011 19:25 - Andriy Lesyuk

- Target version set to 1.08

#2 - 03 Feb 2011 19:37 - Andriy Lesyuk

- Subject changed from Configuration helper to Installation command line helper

#3 - 03 Mar 2011 12:45 - Andriy Lesyuk

- Tracker changed from Support to Improvement
